ACPI Driver Package version 3.23.06 released

An ACPI packageArca Noae is pleased to announce the immediate availability of our ACPI Driver Package for OS/2 and eComStation version 3.23.06.

This release contains the following changes:

  • Updated to ACPICA 20170629. See https://acpica.org/ for details.
  • Fixed a problem handling interrupts > 47
  • Implemented limited message interrupt support.
  • Prevent the use of interrupts > 31 on kernels which don’t support them.
  • Enhanced kernel detection due to problems with older kernels.

NOTE: This version will limit the number of interrupts to 32 for older kernels to avoid known problems which cause kernel traps. Most people will not be affected by this change. Please see the ACPI Requirements wiki for more details about this issue.

More information about the ACPI Driver Package may be found in the ACPI Driver wiki.

This release is an update for all users and is newer than the version in ArcaOS 5.0.1.

If you have ArcaOS, this driver package is available for download from the Arca Noae website as part of the Support & Maintenance subscription for your ArcaOS product. Please log into your account and see your ArcaOS order details page to access your software.

If you have an Arca Noae OS/2 & eCS Drivers and Software Subscription, this driver package is available for download from the Arca Noae website as part of your Arca Noae OS/2 & eCS Drivers and Software Subscription. Please log into your account in order to access your software.

If you are still running OS/2 and/or eComStation systems and haven’t yet purchased a software subscription, this is a great reason to do so now. It may also be a good time to consider moving up to ArcaOS.